Bug 242484 - Fedora 7 installation problem
Fedora 7 installation problem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 10:40 EDT by Mike Duncan
Modified: 2009-01-09 02:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:07:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Log file (75.25 KB, text/plain)
2007-06-04 17:57 EDT, Mike Duncan
no flags Details

  None (edit)
Description Mike Duncan 2007-06-04 10:40:37 EDT
Description of problem:

Fedora 7 will not install on my computer.  

Version-Release number of selected component (if applicable): 7

I have performed a sha1sum on the DVD ISO and DVD itself.  Both passed.  THe
media check inside of anaconda passes the DVD as acceptable.

I have attempted this via upgrade from FC6, normal install, removing all
partition via Knoppix then install.  

During the actual install, after I have performed the package selection, the
installation fails.  The error message indicates that it cannot find my hard
disk.  I am using a Sager 8890 laptop with a Promise RAID controller which has
been disabled via a jumper.  Earlier versions of Fedora see my drive as
/dev/hde.  Fedora 7 seems not to see it at all.

How reproducible:

See Description above.

Steps to Reproduce:
1.  Install Fedora 7
2.
3.
  
Actual results:
Failure

Expected results:
Success of installation

Additional info:

I originally received a message about a failure to remove the LVM partition on
my drive, so I booted Knoppix and removed all partitions before re-trying the
installation.  I then received an error about created a Physical Volume
(pvcreate).  Thinking the bug was in the update of the LVM system, I re-tried
the installed, choosing a standard ext3 filsystem, without any LVM.  It failed
finding the drive.

As stated above, FC6 works just fine.  In fact, I have re-installed FC6, and
it's working just as before.
Comment 1 Chris Lumens 2007-06-04 11:33:42 EDT
Please attach the exact error message you are receiving to this bug report.  If
you are getting the exception dialog, please attach the complete exception
report.  Thanks.
Comment 2 Mike Duncan 2007-06-04 17:57:07 EDT
Created attachment 156141 [details]
Anaconda Log file

Here is the log file from Anaconda.  It looks more like a I/O error when trying
to write to the disk.  However, Anaconda 11.1.xx seems to work all right (FC6)
every time--even after this error.

In getting thi log file, Fedora 7 came back with the I/O error, but trashed my
partition table this time.  This is the first time (I believe) that it trashed
the table before erroring out.
Comment 3 Mike Duncan 2007-06-18 14:22:48 EDT
Checking in for an update.....
Comment 4 Chris Lumens 2007-06-19 10:50:43 EDT
This is either a hardware error or a driver error.  Reassigning to kernel for
the case of the latter.
Comment 5 Mike Duncan 2007-06-19 10:58:29 EDT
Well, it's not a hardware error, as FC6 and earlier all work fine.  I
re-installed FC6 after the error with Fedora 7 with no issues at all.
Comment 6 Chuck Ebbert 2007-06-19 18:03:42 EDT
What kind of disk controller and disks are attached?
Comment 7 Mike Duncan 2007-06-20 08:18:31 EDT
They are attached to a Promise Ultra 100 RAID controller.  While I currently
have the RAID function turned off, the disks have been recognized by past
versions of Fedora as /dev/hde and /dev/hdg.  My current installation of FC6,
sees the main disk as /dev/hde.

HTH!
Comment 8 Mike Duncan 2007-07-05 08:31:56 EDT
Checking on the status of this bug.

Thanks!
Comment 9 Mike Duncan 2007-07-16 09:05:14 EDT
Checking on the status of this bug

Thanks!
Comment 10 Mike Duncan 2007-07-31 12:32:32 EDT
Checking on the status of this bug

Thanks!
Comment 11 Mike Duncan 2007-09-27 17:31:56 EDT
I have since attempted to install Fedora 7 on a Dell Latitude D830.  The
installer doesn't even see my CD/DVD drive it loaded itself from.
Comment 12 Bug Zapper 2008-04-04 06:57:08 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 13 Bug Zapper 2008-11-26 02:17:03 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-01-09 02:07:12 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.